UpdateInstallation
Updates an installation.
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
installations
UpdateInstallation
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/installations \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"processing_status": {
"analytic_time": "2023-11-07T05:31:56Z",
"deactivated": true,
"disable_automated_scan": true,
"metadata": {
"full_history_scan_time": "2023-11-07T05:31:56Z"
},
"queue_time": "2023-11-07T05:31:56Z",
"scan_state": "SCAN_STATE_UNSPECIFIED",
"scan_time": "2023-11-07T05:31:56Z"
},
"propagate": true,
"spec": {
"cleanup_stale_namespaces": true,
"enabled_features": [
"ENABLED_FEATURE_TYPE_UNSPECIFIED"
],
"exclude_project_regexes": [
"<string>"
],
"external_id": "<string>",
"github_config": {
"app_id": "<string>",
"enable_full_scan": true,
"enable_pr_comments": true,
"enable_pr_scans": true,
"host_url": "<string>",
"include_archived_repos": true
},
"include_archived_repos": true,
"installation_error_message": "<string>",
"invalid": true,
"login": "<string>",
"platform_source": "PLATFORM_SOURCE_TYPE_UNSPECIFIED",
"platform_type": "PLATFORM_SOURCE_UNSPECIFIED",
"project_uuids": [
"<string>"
],
"public": true,
"scm_app_uuid": "<string>",
"suspended": true
},
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/installations"
payload = {
"object": {
"processing_status": {
"analytic_time": "2023-11-07T05:31:56Z",
"deactivated": True,
"disable_automated_scan": True,
"metadata": { "full_history_scan_time": "2023-11-07T05:31:56Z" },
"queue_time": "2023-11-07T05:31:56Z",
"scan_state": "SCAN_STATE_UNSPECIFIED",
"scan_time": "2023-11-07T05:31:56Z"
},
"propagate": True,
"spec": {
"cleanup_stale_namespaces": True,
"enabled_features": ["ENABLED_FEATURE_TYPE_UNSPECIFIED"],
"exclude_project_regexes": ["<string>"],
"external_id": "<string>",
"github_config": {
"app_id": "<string>",
"enable_full_scan": True,
"enable_pr_comments": True,
"enable_pr_scans": True,
"host_url": "<string>",
"include_archived_repos": True
},
"include_archived_repos": True,
"installation_error_message": "<string>",
"invalid": True,
"login": "<string>",
"platform_source": "PLATFORM_SOURCE_TYPE_UNSPECIFIED",
"platform_type": "PLATFORM_SOURCE_UNSPECIFIED",
"project_uuids": ["<string>"],
"public": True,
"scm_app_uuid": "<string>",
"suspended": True
},
"tenant_meta": {}
},
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
object: {
processing_status: {
analytic_time: '2023-11-07T05:31:56Z',
deactivated: true,
disable_automated_scan: true,
metadata: {full_history_scan_time: '2023-11-07T05:31:56Z'},
queue_time: '2023-11-07T05:31:56Z',
scan_state: 'SCAN_STATE_UNSPECIFIED',
scan_time: '2023-11-07T05:31:56Z'
},
propagate: true,
spec: {
cleanup_stale_namespaces: true,
enabled_features: ['ENABLED_FEATURE_TYPE_UNSPECIFIED'],
exclude_project_regexes: ['<string>'],
external_id: '<string>',
github_config: {
app_id: '<string>',
enable_full_scan: true,
enable_pr_comments: true,
enable_pr_scans: true,
host_url: '<string>',
include_archived_repos: true
},
include_archived_repos: true,
installation_error_message: '<string>',
invalid: true,
login: '<string>',
platform_source: 'PLATFORM_SOURCE_TYPE_UNSPECIFIED',
platform_type: 'PLATFORM_SOURCE_UNSPECIFIED',
project_uuids: ['<string>'],
public: true,
scm_app_uuid: '<string>',
suspended: true
},
tenant_meta: {}
},
request: {force: true, update_mask: '<string>'}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"tenant_meta": {
"namespace": "<string>"
},
"processing_status": {
"analytic_time": "2023-11-07T05:31:56Z",
"deactivated": true,
"disable_automated_scan": true,
"metadata": {
"full_history_scan_time": "2023-11-07T05:31:56Z"
},
"queue_time": "2023-11-07T05:31:56Z",
"scan_state": "SCAN_STATE_UNSPECIFIED",
"scan_time": "2023-11-07T05:31:56Z"
},
"propagate": true,
"spec": {
"azure_config": {
"host_url": "<string>",
"enable_full_scan": true,
"enable_pr_comments": true,
"enable_pr_scans": true,
"personal_access_token": "<string>",
"webhook_secret": "<string>"
},
"bitbucket_config": {
"host_url": "<string>",
"cloud": {
"access_token": "<string>",
"app_password_config": {
"app_password": "<string>",
"username": "<string>"
}
},
"data_center": {
"http_access_token": "<string>"
},
"enable_full_scan": true,
"enable_pr_comments": true,
"enable_pr_scans": true,
"webhook_secret": "<string>"
},
"cleanup_stale_namespaces": true,
"enabled_features": [
"ENABLED_FEATURE_TYPE_UNSPECIFIED"
],
"exclude_project_regexes": [
"<string>"
],
"external_id": "<string>",
"external_name": "<string>",
"github_config": {
"app_id": "<string>",
"enable_full_scan": true,
"enable_pr_comments": true,
"enable_pr_scans": true,
"host_url": "<string>",
"include_archived_repos": true,
"installation_github_user": "<string>"
},
"gitlab_config": {
"host_url": "<string>",
"enable_full_scan": true,
"enable_mr_comments": true,
"enable_mr_scans": true,
"personal_access_token": "<string>",
"webhook_secret": "<string>"
},
"huggingface_config": {
"host_url": "<string>",
"access_token": "<string>",
"avatar_url": "<string>"
},
"include_archived_repos": true,
"ingestion_time": "2023-11-07T05:31:56Z",
"ingestion_token": "<string>",
"installation_error_message": "<string>",
"invalid": true,
"login": "<string>",
"marked_for_deletion": true,
"platform_source": "PLATFORM_SOURCE_TYPE_UNSPECIFIED",
"platform_type": "PLATFORM_SOURCE_UNSPECIFIED",
"project_uuids": [
"<string>"
],
"public": true,
"scm_app_uuid": "<string>",
"suspended": true,
"target_type": "<string>",
"user": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
application/json
Response
A successful response.
Installation represents an installation request in the system.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Propagate indicates that the object should be visible in child namespaces.
Show child attributes
Show child attributes
The UUID of the installation.
Was this page helpful?
⌘I
UpdateInstallation
